const require_index = require("./Input/index.js");
const require_index$1 = require("./Checkbox/index.js");
const require_index$2 = require("./ColorPicker/index.js");
const require_index$3 = require("./DatePicker/index.js");
const require_index$4 = require("./Radio/index.js");
const require_index$5 = require("./Select/index.js");
const require_index$6 = require("./InputNumber/index.js");
const require_index$7 = require("./TimePicker/index.js");
const require_index$8 = require("./DateRangePicker/index.js");
const require_index$9 = require("./Upload/index.js");
const require_index$10 = require("./Translation/index.js");
const require_index$11 = require("./IconSelect/index.js");
const require_index$12 = require("./RecordListWrapper/index.js");
const require_index$13 = require("./Tabs/index.js");
//#region src/components/dataSourceComponents/fields/index.ts
const formFieldMap = {
	FormItemCheckbox: require_index$1.default,
	FormItemColorPicker: require_index$2.default,
	FormItemDatePicker: require_index$3.default,
	FormItemInput: require_index.default,
	FormItemRadio: require_index$4.default,
	FormItemSelect: require_index$5.default,
	FormItemInputNumber: require_index$6.default,
	FormItemPercent: require_index$6.default,
	FormItemTimePicker: require_index$7.default,
	"FormItemInput.JSON": require_index.default.JSON,
	"FormItemInput.Phone": require_index.default.Phone,
	"FormItemInput.Mobile": require_index.default.Mobile,
	"FormItemInput.Email": require_index.default.Email,
	"FormItemInput.URL": require_index.default.URL,
	"FormItemInput.Password": require_index.default.Password,
	"FormItemRadio.Group": require_index$4.default.Group,
	"FormItemCheckbox.Group": require_index$1.default.Group,
	FormItemDateRangePicker: require_index$8.default,
	FormItemUpload: require_index$9.default,
	FormItemTranslation: require_index$10.default,
	FormItemIconSelect: require_index$11.default,
	FormItemRecordListWrapper: require_index$12.default,
	FormItemTabs: require_index$13.default
};
const getFieldComponent = (fieldComponent) => {
	return formFieldMap[fieldComponent];
};
//#endregion
exports.formFieldMap = formFieldMap;
exports.getFieldComponent = getFieldComponent;
